X509_SIG_GET0(3)

NAME
X509_SIG_get0, X509_SIG_getm - DigestInfo functions

SYNOPSIS
libcrypto
#include <openssl/x509.h>
void
X509_SIG_get0(const X509_SIG *sig, const X509_ALGOR **palg, const ASN1_OCTET_STRING **pdigest);
void
X509_SIG_getm(X509_SIG *sig, X509_ALGOR **palg, ASN1_OCTET_STRING **pdigest);

DESCRIPTION
X509_SIG_get0() returns pointers to the algorithm identifier and digest value in sig. X509_SIG_getm() is identical to X509_SIG_get0(), except the pointers returned are not constant and can be modified, for example to initialise them.

SEE ALSO
d2i_X509(3), X509_SIG_new(3)

HISTORY
X509_SIG_get0() and X509_SIG_getm() first appeared in OpenSSL 1.1.0 and have been available since OpenBSD 7.1.